<div class="inner">
  <div class="grid-container">
    <app-session-header
    [item]="session"
    (onResetAll)="resetAllSessionProgress()"
    (archiveSession)="manageSessionStatus($event)"
    (startSession)="manageSessionStatus($event)"
    (refreshPage)="refreshPage()"
    ></app-session-header>
    <div class="grid-x">
      <div class="cell show-for-medium" *ngIf="session && session.status !== 'archived'">
        <app-session-progress-filters
          [item]="session"
          [defaultSessionApp]="defaultSessionApp"
          (triggerGridActions)="triggerGridActions()"
          [activeUsersChapters]="sessionProgresses$.getValue()"
          (selectAll)="selectAllUsers($event)"
          (resetAll)="changeMultipleUsersChapters($event, true)"
          (changeChapter)="changeMultipleUsersChapters($event)"
          (removeSelectedUsers)="manageSessionUsers($event, true)"
          (resetSelectedUsersProgress)="resetSelectedUsersProgress()"
        ></app-session-progress-filters>
      </div>
      <div
        class="cell large-offset-1 large-10"
        *ngFor="let user of session.users"
      >
        <app-accordion>
          <app-toggle [active]="user.active || stateService.params.detail === user._id">
            <ng-container accordionHeader>
              <app-session-index-progress
                [firstMessage]="
                  formattedUsersProgress$ &&
                  formattedUsersProgress$.getValue() &&
                  formattedUsersProgress$.getValue()[user._id]
                    ? formattedUsersProgress$.getValue()[user._id][0]
                    : {}
                "
                [mappedChapter]="
                  sessionProgresses$.getValue() &&
                  sessionProgresses$.getValue()[user._id]
                    ? sessionProgresses$.getValue()[user._id]
                    : {}
                "
                [selectAll$]="selectAll$"
                [showCheckbox]="workOnGrid"
                [user]="user"
                [item]="session"
                [chapters]="defaultSessionApp ? defaultSessionApp.chapters : []"
                (setActive)="this.setStateParams(user)"
                (changeChapter)="setNewActiveChapter($event, user)"
                (restartUser)="restartUserChapter($event, user)"
                (addUser)="checkBoxClickedAdd($event)"
                (removeUser)="checkBoxClickedRemove($event)"
              ></app-session-index-progress>
            </ng-container>
            <ng-container accordionContent>
              <app-session-single-user-progress
                [userProgress]="
                  user && user._id &&
                  formattedUsersProgress$ &&
                  formattedUsersProgress$.getValue() &&
                  formattedUsersProgress$.getValue()[user._id]
                    ? formattedUsersProgress$.getValue()[user._id]
                    : []
                "
                [sessionId]="session._id"
                [userId]="user._id"
              ></app-session-single-user-progress>
            </ng-container>
          </app-toggle>
        </app-accordion>
      </div>
      <div class="cell large-offset-1 large-10 bottom-bar-cell">
        <app-session-bottom-bar (addUser)="manageSessionUsers($event)" [item]="session"></app-session-bottom-bar>
      </div>
    </div>
  </div>
</div>

<!-- <pre>
  {{ item | json }}
</pre> -->
